
From: Dominik Brodowski <linux@dominikbrodowski.net>

Signed-off-by: Dominik Brodowski <linux@dominikbrodowski.net>
Acked-by: Grant Grundler <grundler@parisc-linux.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/parisc/kernel/pci.c |   18 ++++++++++++++++++
 1 files changed, 18 insertions(+)

diff -puN arch/parisc/kernel/pci.c~add-pcibios_bus_to_resource-for-parisc arch/parisc/kernel/pci.c
--- devel/arch/parisc/kernel/pci.c~add-pcibios_bus_to_resource-for-parisc	2005-07-25 23:22:58.000000000 -0700
+++ devel-akpm/arch/parisc/kernel/pci.c	2005-07-25 23:22:58.000000000 -0700
@@ -255,8 +255,26 @@ void __devinit pcibios_resource_to_bus(s
 	pcibios_link_hba_resources(&hba->lmmio_space, bus->resource[1]);
 }
 
+void pcibios_bus_to_resource(struct pci_dev *dev, struct resource *res,
+			      struct pci_bus_region *region)
+{
+	struct pci_bus *bus = dev->bus;
+	struct pci_hba_data *hba = HBA_DATA(bus->bridge->platform_data);
+
+	if (res->flags & IORESOURCE_MEM) {
+		res->start = PCI_HOST_ADDR(hba, region->start);
+		res->end = PCI_HOST_ADDR(hba, region->end);
+	}
+
+	if (res->flags & IORESOURCE_IO) {
+		res->start = region->start;
+		res->end = region->end;
+	}
+}
+
 #ifdef CONFIG_HOTPLUG
 EXPORT_SYMBOL(pcibios_resource_to_bus);
+EXPORT_SYMBOL(pcibios_bus_to_resource);
 #endif
 
 /*
_
